---
title: Boolean.prototype.toString()
slug: Web/JavaScript/Reference/Global_Objects/Boolean/toString
tags:
  - Boolean
  - JavaScript
  - Method
  - Prototype
  - Reference
---
<div>{{JSRef}}</div>

<p>The <code><strong>toString()</strong></code> method returns a string representing the specified Boolean object.</p>

<div>{{EmbedInteractiveExample("pages/js/boolean-tostring.html")}}</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><code><var>bool</var>.toString()</code></pre>

<h3 id="Return_value">Return value</h3>

<p>A string representing the specified {{jsxref("Boolean")}} object.</p>

<h2 id="Description">Description</h2>

<p>The {{jsxref("Boolean")}} object overrides the <code>toString</code> method of the {{jsxref("Object")}} object; it does not inherit {{jsxref("Object.prototype.toString()")}}. For <code>Boolean</code> objects, the <code>toString</code> method returns a string representation of the object.</p>

<p>JavaScript calls the <code>toString()</code> method automatically when a {{jsxref("Boolean")}} is to be represented as a text value or when a {{jsxref("Boolean")}} is referred to in a string concatenation.</p>

<p>For {{jsxref("Boolean")}} objects and values, the built-in <code>toString()</code> method returns the string "<code>true</code>" or "<code>false</code>" depending on the value of the boolean object.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_toString">Using <code>toString()</code></h3>

<p>In the following code, <code>flag.toString()</code> returns "<code>true</code>":</p>

<pre class="brush: js notranslate">var flag = new Boolean(true);
var myVar = flag.toString();
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
  </tr>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-boolean.prototype.tostring', 'Boolean.prototype.toString')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("javascript.builtins.Boolean.toString")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Object.prototype.toString()")}}</li>
</ul>
